@import url('https://fonts.googleapis.com/css2?family=Audiowide&family=Baloo+Thambi+2&family=Exo:wght@200&family=MuseoModerno:wght@200&family=Orbitron&display=swap');
@font-face {
    font-family: Cave-Stone;
    src: url("fonts/cave-stone.woff") format("woff");
}

@keyframes aparecePieza {
    0% {
        filter: opacity(0);
    }
    100% {
        filter: opacity(100);
    }
}

@keyframes desapareceJeroglifico {
    0% {
        filter: opacity(100);
    }
    100% {
        filter: opacity(0);
    }
}

body {
    margin: 0px;
    background-image: url("img/wall.jpg");
}

#contenedor_full {
    background: url("img/game_background.png") no-repeat center center fixed;
    background-size: contain;
    height: 100vh;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    align-items: center;
}

#contenedor_maestro {
    width: 450px;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

#countdown {
    font-family: Cave-Stone;
    font-size: xx-large;
    color: #ccc;
    text-shadow: 2px 0 #666, -2px 0 #666, 0 2px #666, 0 -2px #666, 1px 1px #666, -1px -1px #666, 1px -1px #666, -1px 1px #666;
    /* border: 10px ridge #807E77;
    border-radius: 25px;
    padding: 5px 10px 5px 10px;
    background-color: #6C6E6D; */
}

#contenedor_marco {
    background-image: url('img/base_de_piedra.png');
    background-size: contain;
    background-repeat: no-repeat;
    width: 400px;
    height: 400px;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
}

#contenedor {
    width: 340px;
    height: 340px;
    margin-top: 10px;
    border-radius: 10px;
    overflow: hidden;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    align-items: center;
}

#contenedor_energia {
    background: url("img/energia_background.png") no-repeat center center;
    width: 360px;
    height: 60px;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    padding-top: 4px;
}

#energia {
    width: 305px;
    height: 25px;
}

#botonera {
    width: 360px;
    padding-top: 10px;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-evenly;
    align-items: flex-start;
    align-content: stretch;
}

#reset a,
#exit a,
#reset a:visited,
#exit a:visited {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: center;
    align-items: center;
    align-content: center;
}

#botonera a,
a:visited {
    text-decoration: none;
    font-family: Cave-Stone;
    font-size: larger;
    color: darkred;
    text-shadow: 2px 0 #fff, -2px 0 #fff, 0 2px #fff, 0 -2px #fff, 1px 1px #fff, -1px -1px #fff, 1px -1px #fff, -1px 1px #fff;
}

#botonera a:hover {
    filter: brightness(1.2);
}

.divResultado {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: center;
    align-items: center;
    align-content: center;
    width: 100vw;
    height: 100vh;
    z-index: 2;
    position: absolute;
}

.divResultado img {
    position: relative;
}

#gana {
    background: rgb(255, 255, 255);
    background: radial-gradient(circle, rgba(255, 255, 255, 1) 40%, rgba(105, 169, 255, 0.8) 70%);
}

#pierde {
    background: rgb(255, 0, 0);
    background: radial-gradient(circle, rgba(255, 0, 0, 1) 0%, rgba(0, 0, 0, 0.8) 100%);
}

#btn_regresar:hover {
    filter: contrast(150%);
    cursor: pointer;
}

.pieza {
    width: 80px;
    height: 80px;
    border-radius: 10px;
    overflow: hidden;
    cursor: pointer;
}

p {
    margin: 0%;
}

.deshabilitarClick {
    pointer-events: none;
}

.aparecePieza {
    animation-name: aparecePieza;
    animation-duration: 0.5s;
}

.desapareceJeroglifico {
    animation-name: desapareceJeroglifico;
    animation-duration: 0.5s;
}